<div class="card">
    <h4 class="card-header">Register</h4>
    <div class="card-body">
        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="name">Name</label>
                <input type="text" formControlName="name" class="form-control"
                    [ngClass]="{ 'is-invalid': submitted && form.name.errors }" />
                <div *ngIf="submitted && form.name.errors" class="invalid-feedback">
                    <div *ngIf="form.name.errors.required">First Name is required</div>
                </div>
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control" id="email" required formControlName="email" name="email"
                    [ngClass]="{ 'is-invalid': submitted && form.email.errors }">
                <div *ngIf="submitted && form.email.errors" class="invalid-feedback">
                    <div *ngIf="form.email.errors.required">Email is required</div>
                    <div *ngIf="form.email.errors.email">Email must be a valid email address</div>
                </div>
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" formControlName="password" class="form-control"
                    [ngClass]="{ 'is-invalid': submitted && form.password.errors }" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}"/>
                <div *ngIf="submitted && form.password.errors" class="invalid-feedback">
                    <div *ngIf="form.password.errors.required">Password is required</div>
                    <div *ngIf="form.password.errors.pattern"> Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="password_confirmation">Confirm Password</label>
                <input type="password" formControlName="password_confirmation" class="form-control"
                    [ngClass]="{ 'is-invalid': submitted && form.password_confirmation.errors }" pattern="{{ form.password.value }}"/>
                <div *ngIf="submitted && form.password_confirmation.errors" class="invalid-feedback">
                    <div *ngIf="form.password_confirmation.errors.required">Password is required</div>
                    <div *ngIf="form.password_confirmation.errors.minlength">Password must be at least 6 characters</div>
                    <div *ngIf="form.password_confirmation.errors.pattern"> Password & Confirm Password does not match.</div>
                </div>
            </div>
            <div class="form-group">
                <button [disabled]="loading" class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Register
                </button>
                <a routerLink="../login" class="btn btn-link">Cancel</a>
            </div>
        </form>
    </div>
</div>